<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetReferences Method (IEdmRawReferenceMgr)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRawReferenceMgr Interface : GetReferences Method (IEdmRawReferenceMgr)

Visual Basic
C#
C++/CLI

ppoReferences
  Array of EdmRawReference structs of the file references

Get a list of all of the file references in the opened file.

# Syntax

Visual Basic |
--- | ---

    Sub GetReferences( _
       ByRef ppoReferences() As EdmRawReference _
    )

C# |
--- | ---

    void GetReferences(
       out EdmRawReference[] ppoReferences
    )

C++/CLI |
--- | ---

    void GetReferences(
    &   [Out] array<EdmRawReference>^ ppoReferences
    )

#### Parameters

ppoReferences
  Array of EdmRawReference structs of the file references

# Example

See the IEdmRawReferenceMgr examples.

# Remarks

Before calling this method, you must call IEdmRawReferenceMgr::Open.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmRawReferenceMgr Interface
IEdmRawReferenceMgr Members
IEdmRawReferenceMgr::UpdateReferences Method ()

# Availability

Version 6.4 of SOLIDWORKS PDM Professional